maid라는 툴을 파고들다보니 루비를 설치할 일이 있었습니다만 어느 시점부터 루비 2.0.0에서는 정상적으로 작동하지 않더군요.

덕분에 rvm라는 걸 설치하고 루비 2.1.1로 구동했습니다. 여기까지는 잘 됐어요.

이제 자동화를 할 차례라 시스템에서 루비 2.1.1을 기본으로 설정해주어야 하는데, 이게 죽어라고 안 됩니다.

인터넷에서는 ruby —default ruby-2.1.1으로 입력하면 된다고 하는데 죽어도 안 됩니다. 적어도 제 맥북에서는요.

해결

결국 ruby use ruby-2.1.1 --default라는 명령어를 입력하는 걸로 해결을 보았습니다. 이걸로 근 1년을 끌어온 문제가 또 하나 해결되었습니다. 메데타시 메데타시.